import { BaseItemDataModel } from "./base-item.mjs"

export default class EquipementDataModel extends BaseItemDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    return {
      ...this.defineBaseSchema(),
      category: new fields.StringField({ initial: "survie" }),
      quantity: new fields.NumberField({ initial: 1, integer: true, min: 0 }),
      price: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      bonus: new fields.StringField({ initial: "" }),
      usage: new fields.StringField({ initial: "" }),
      lifespan: new fields.StringField({ initial: "" }),
      equipped: new fields.BooleanField({ initial: false }),
      consumable: new fields.BooleanField({ initial: false }),
    }
  }
}
